package com.schoolinout.common.core.domain.entity;

import com.baomidou.mybatisplus.annotation.TableField;

/**
 * @author sakura
 * @date 2024/1/10 11:11:09 Wed
 */
public class ParentLogin {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Long id;

    @TableField(exist = false)
    private String studentIds;


    /**
     * 家长姓名
     */
    private String parentName;

    /**
     * 家长电话
     */
    private String parentPhone;

    /**
     * 与学生的关系
     */
    private String relation;

    @Override
    public String toString() {
        return "ParentLogin{" +
                "id=" + id +
                ", studentIds='" + studentIds + '\'' +
                ", parentName='" + parentName + '\'' +
                ", parentPhone='" + parentPhone + '\'' +
                ", relation='" + relation + '\'' +
                '}';
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getStudentIds() {
        return studentIds;
    }

    public void setStudentIds(String studentIds) {
        this.studentIds = studentIds;
    }

    public String getParentName() {
        return parentName;
    }

    public void setParentName(String parentName) {
        this.parentName = parentName;
    }

    public String getParentPhone() {
        return parentPhone;
    }

    public void setParentPhone(String parentPhone) {
        this.parentPhone = parentPhone;
    }

    public String getRelation() {
        return relation;
    }

    public void setRelation(String relation) {
        this.relation = relation;
    }
}
